Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.processor.chain
Class InterceptingChainLifecycleWrapper

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.processor.chain.AbstractMessageProcessorChain
              org.mule.processor.chain.InterceptingChainLifecycleWrapper

All Implemented Interfaces:
  FlowConstructAware, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, InterceptingMessageProcessor, MessageProcessor, MessageProcessorChain, MessageSource

    public class InterceptingChainLifecycleWrapper

extends AbstractMessageProcessorChain

Builder needs to return a composite rather than the first MessageProcessor in the chain. This is so that if this chain is nested in another chain the next MessageProcessor in the parent chain is not injected into the first in the nested chain.

Field Summary

Fields inherited from class org.mule.processor.chain.AbstractMessageProcessorChain
`log, name, processors`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, muleContext, next, notificationHandler`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`InterceptingChainLifecycleWrapper(MessageProcessorChain chain, List<MessageProcessor> processors, String name)`

Method Summary
`protected MuleEvent` | `doProcess(MuleEvent event)`
`List<MessageProcessor>` | `getMessageProcessors()`
`String` | `getName()`
`Policies` | `getPolicies()`

Methods inherited from class org.mule.processor.chain.AbstractMessageProcessorChain
`dispose, initialise, process, setFlowConstruct, setMuleContext, start, stop, toString`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, processNext, setListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InterceptingChainLifecycleWrapper

    public InterceptingChainLifecycleWrapper(MessageProcessorChain chain,
                                             List<MessageProcessor> processors,
                                             String name)

Method Detail

### getMessageProcessors

    public List<MessageProcessor> getMessageProcessors()

  Specified by:
    `getMessageProcessors` in interface `MessageProcessorChain`
  Overrides:
    `getMessageProcessors` in class `AbstractMessageProcessorChain`

### getName

    public String getName()

  Specified by:
    `getName` in interface `MessageProcessorChain`
  Overrides:
    `getName` in class `AbstractMessageProcessorChain`

### getPolicies

    public Policies getPolicies()

  Specified by:
    `getPolicies` in interface `MessageProcessorChain`
  Overrides:
    `getPolicies` in class `AbstractMessageProcessorChain`

### doProcess

    protected MuleEvent doProcess(MuleEvent event)
                           throws MuleException

  Specified by:
    `doProcess` in class `AbstractMessageProcessorChain`
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.